menu

Apollo

A community of developers, designers and others who love Apollo and GraphQL. 🚀

Channels
# All channels
view-forward
# General
view-forward
# Apollo Angular
view-forward
# Announcements
view-forward
# Apollo Android
view-forward
# Apollo Client
view-forward
# Apollo iOS
view-forward
# Apollo Link
view-forward
# Apollo Link Rest
view-forward
# Local State
view-forward
# Apollo Studio
view-forward
# Apollo Server
view-forward
# Apollo Tooling
view-forward
# Contributing
view-forward
# Docs
view-forward
# Events
view-forward
# GraphQL Tools
view-forward
# Jobs
view-forward
# Random
view-forward
# React Apollo
view-forward
# Showcase
view-forward
# Subscriptions
view-forward
# Testing
view-forward
# Vue Apollo
view-forward
Team

Problem updating reac-apollo dependecies to apollo 3

March 27, 2021 at 3:55am
The Apollo community has a new home. This thread is preserved for historical purposes. The content of this conversation may be innaccurrate or out of date. Go to new community home →

Problem updating reac-apollo dependecies to apollo 3

March 27, 2021 at 3:55am
In my project which uses Apollo 2, I import react-apollo dependencies like this: import { Query, QueryProps, QueryResult } from "react-apollo"
Now In Apollo 3, I can't found QueryProps in /client, I have seen in the documentation of apollo with typescript, that QueryProps its imported like this import { NamedProps, QueryProps } from@apollo/react-hoc, If I install@apollo/react-hocI try to import it my IDE thrownTS2305: Module '"../../../node_modules/react-hoc"' has no exported member 'QueryProps'.`, so can I found this packages.
No messages yet